#include <iostream>

#include "prns.h"

using namespace std;

/*
Expected output from the original C version of PRNS:

0
16997136850213553216
16093987548892232582
7101631883897567084
197735962506217616
---
5
12951196477222847639
12951196477222847639
12951196477222847639
 */

int main() {
    prns_t rng{0};

    cerr << PRNS_MIX_S0 << endl;

    for(uint32_t i = 0; i < 5; i++) {
        cerr << prns_next(&rng) << endl;
    }
    cerr << "---" << endl;
    cerr << prns_tell(&rng) << endl;
    cerr << prns_at(5) << endl;
    cerr << prns_peek(&rng) << endl;
    cerr << prns_prev(&rng) << endl;

    return 0;
}
